import { SvgIconProps } from "../../app/types/types";


export function CloseIcon(props: SvgIconProps) {
  return (
    <svg width="18" height="19" viewBox="0 0 18 19" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M16.7432 0.989467C16.5451 0.994145 16.3569 1.077 16.2197 1.21994L8.99999 8.43966L1.78027 1.21994C1.71036 1.14794 1.62672 1.09071 1.53429 1.05163C1.44186 1.01254 1.34253 0.992401 1.24218 0.992397C1.09292 0.992433 0.947065 1.037 0.823276 1.1204C0.699487 1.20379 0.603393 1.32223 0.547291 1.46054C0.491188 1.59886 0.477628 1.75077 0.508346 1.89683C0.539063 2.0429 0.61266 2.17648 0.719721 2.28048L7.93945 9.50021L0.719721 16.7199C0.647743 16.789 0.590277 16.8718 0.55069 16.9634C0.511102 17.055 0.490189 17.1536 0.489175 17.2534C0.48816 17.3531 0.507065 17.4521 0.544782 17.5445C0.582498 17.6369 0.638269 17.7208 0.708828 17.7914C0.779386 17.8619 0.863314 17.9177 0.955696 17.9554C1.04808 17.9931 1.14706 18.012 1.24684 18.011C1.34662 18.01 1.44519 17.9891 1.53679 17.9495C1.62838 17.9099 1.71116 17.8525 1.78027 17.7805L8.99999 10.5608L16.2197 17.7805C16.2888 17.8525 16.3716 17.9099 16.4632 17.9495C16.5548 17.9891 16.6534 18.01 16.7532 18.011C16.8529 18.012 16.9519 17.9931 17.0443 17.9554C17.1367 17.9177 17.2206 17.8619 17.2912 17.7914C17.3617 17.7208 17.4175 17.6369 17.4552 17.5445C17.4929 17.4521 17.5118 17.3531 17.5108 17.2534C17.5098 17.1536 17.4889 17.055 17.4493 16.9634C17.4097 16.8718 17.3522 16.789 17.2803 16.7199L10.0605 9.50021L17.2803 2.28048C17.3893 2.1758 17.4642 2.04061 17.4951 1.89263C17.526 1.74465 17.5115 1.59079 17.4534 1.45121C17.3953 1.31164 17.2965 1.19287 17.1697 1.11047C17.043 1.02807 16.8943 0.985897 16.7432 0.989467Z"
        fill="#231132"
      />
    </svg>
  )
}
